local t = Def.ActorFrame{
	LoadFont("_song")..{
		OnCommand=cmd(horizalign,left;shadowlength,2;maxwidth,(SCREEN_WIDTH/2)-46);
		SetMessageCommand=function(self,params)
			local song = params.Song
			local index = params.Index
			if song then
				self:settext(index..'. "'..song:GetDisplayMainTitle()..'"');
				self:visible(true);
			else
				self:visible(false);
			end
		end
	};
};

return t;